@ECHO OFF
:--------------------------------------------------------------------
 SET loglocatie=C:\CPSBack\RoboLog
 MD %loglocatie%
 DEL %loglocatie%\log00.txt >NUL
 DEL %loglocatie%\log10.txt >NUL
 MOVE %loglocatie%\log09.txt %loglocatie%\log10.txt >NUL
 MOVE %loglocatie%\log08.txt %loglocatie%\log09.txt >NUL
 MOVE %loglocatie%\log07.txt %loglocatie%\log08.txt >NUL
 MOVE %loglocatie%\log06.txt %loglocatie%\log07.txt >NUL
 MOVE %loglocatie%\log05.txt %loglocatie%\log06.txt >NUL
 MOVE %loglocatie%\log04.txt %loglocatie%\log05.txt >NUL
 MOVE %loglocatie%\log03.txt %loglocatie%\log04.txt >NUL
 MOVE %loglocatie%\log02.txt %loglocatie%\log03.txt >NUL
 MOVE %loglocatie%\log01.txt %loglocatie%\log02.txt >NUL
:---------------------------------------------------------------------
 SET opties=/R:0 /W:0 /B /MIR
 SET log=/LOG+:%loglocatie%\log00.txt /TEE /NJH /NDL /NS /FP /NJH /NJS
 SET ---=
:---------------------------------------------------------------------

:--------------------------------------------------------------------
:::::: Doeldrive=[station:] vb. E:
:::::: Doeldrive=[USB]      Er moet een station bestaan met de naam CPSback

 SET DoelDrive=USB
 SET DoelMap=Backup1
 REM Openfiles /Disconnect /ID *
:--------------------------------------------------------------------

IF %DoelDrive%==USB (
   FOR %%i IN (D E F G H I J K L M N O P Q R S T U V W X Y Z)  DO (
       VOL %%i: | FIND /i "CPSback" >vol.txt
       Type NUL>leeg.txt
       FC vol.txt leeg.txt >NUL
       IF errorlevel 1 (
       SET DoelDrive=%%i:
       GOTO Body
       )
   )
)


:ErrorCheck
 IF EXIST %DoelDrive%\. GOTO Body
    SET Fout=1
    ECHO Backup NIET gestart >%loglocatie%\CPSlog.txt
    ECHO. >>%loglocatie%\CPSlog.txt
    ECHO --- Error Ongeldig station opgegeven --- >>%loglocatie%\CPSlog.txt
    ECHO --- Error Geen USB station met de naam CPSback gevonden --- >>%loglocatie%\CPSlog.txt
  )
 GOTO Einde


:Body

 CLS
 SET titel=Backup gestart op %date% om %time%
 TITLE %titel%
 COLOR F8 

 IF NOT EXIST %DoelDrive%\%DoelMap% MD %DoelDrive%\%DoelMap%

 ECHO.
 ECHO Backup wordt gemaakt naar %DoelDrive%\%DoelMap%
 ECHO Backup gestart op %date% om %time% >%loglocatie%\CPSlog.txt
 ECHO. >>%loglocatie%\CPSlog.txt
 ECHO.

 ECHO  Backup 3 wordt 0 %---%
 move %DoelDrive%\Backup3 %DoelDrive%\Backup0
 echo.
 ECHO  Backup 2 wordt 3 %---%
 move %DoelDrive%\Backup2 %DoelDrive%\Backup3
 echo.
 ECHO  Backup 1 wordt 2 %---%
 move %DoelDrive%\Backup1 %DoelDrive%\Backup2
 echo.
 ECHO  Backup 0 wordt 1 %---%
 move %DoelDrive%\Backup0 %DoelDrive%\Backup1

:=================================================================================
 ECHO  CPSback %---%
      C:\CPSback\ROBOCOPY C:\CPSback\ %DoelDrive%\%DoelMap%\CPSback\ %opties% %log% /XD RoboLog
 ECHO.
:---------------------------------------------------------------------------------
 SET Bron=@Server
 ECHO  %Bron% %---%
      TITLE %Titel%  /  . : : %Bron% : : :
      C:\CPSback\ROBOCOPY C:\%Bron%\ %DoelDrive%\%DoelMap%\%Bron%\ %opties% %log%
 ECHO.
:=================================================================================

 SET Fout=0

:Einde
      FOR /f "tokens=1,2,3,4,5,6,* delims= " %%i in (%loglocatie%\log00.txt) do (
          IF %%k==ERROR (
             COLOR 4F
	     ECHO --- Error %%o --->>%loglocatie%\CPSlog.txt
	     SET Fout=1
          )    
          IF %%k==FOUT (
             COLOR 4F
	     ECHO --- Error %%o --->>%loglocatie%\CPSlog.txt
	     SET Fout=1
          )                                                
      )


 IF %Fout%==0  ECHO --- Backup gemaakt zonder fouten --->>%loglocatie%\CPSlog.txt
 ECHO. >>%loglocatie%\CPSlog.txt
 ECHO Backup voltooid op %date% om %time% >>%loglocatie%\CPSlog.txt
 COPY %loglocatie%\CPSlog.txt %loglocatie%\log01.txt
 COPY %loglocatie%\CPSlog.txt %DoelDrive%\%DoelMap%\Log.txt

 Start C:\CPSback\RoboLog.bat





